cURL
curl --request POST \
--url https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"toDid": "<string>",
"type": "<string>",
"input": {}
}
'import requests
url = "https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch"
payload = {
"toDid": "<string>",
"type": "<string>",
"input": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({toDid: '<string>', type: '<string>', input: {}})
};
fetch('https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'toDid' => '<string>',
'type' => '<string>',
'input' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch"
payload := strings.NewReader("{\n \"toDid\": \"<string>\",\n \"type\": \"<string>\",\n \"input\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"toDid\": \"<string>\",\n \"type\": \"<string>\",\n \"input\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"toDid\": \"<string>\",\n \"type\": \"<string>\",\n \"input\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"agentId": "<string>",
"orgId": "<string>",
"fromDid": "<string>",
"toDid": "<string>",
"type": "<string>",
"status": "submitted",
"input": {},
"output": {},
"error": {
"code": "<string>",
"message": "<string>"
},
"history": [
{
"status": "submitted",
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}API Reference
Post agents a2adispatch
POST
/
agents
/
{fromAgentId}
/
a2a
/
dispatch
cURL
curl --request POST \
--url https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"toDid": "<string>",
"type": "<string>",
"input": {}
}
'import requests
url = "https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch"
payload = {
"toDid": "<string>",
"type": "<string>",
"input": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({toDid: '<string>', type: '<string>', input: {}})
};
fetch('https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'toDid' => '<string>',
'type' => '<string>',
'input' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch"
payload := strings.NewReader("{\n \"toDid\": \"<string>\",\n \"type\": \"<string>\",\n \"input\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"toDid\": \"<string>\",\n \"type\": \"<string>\",\n \"input\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"toDid\": \"<string>\",\n \"type\": \"<string>\",\n \"input\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"agentId": "<string>",
"orgId": "<string>",
"fromDid": "<string>",
"toDid": "<string>",
"type": "<string>",
"status": "submitted",
"input": {},
"output": {},
"error": {
"code": "<string>",
"message": "<string>"
},
"history": [
{
"status": "submitted",
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Authorizations
BearerAuthApiKeyAuth
Path Parameters
Body
application/json
Response
200 - application/json
OK
Full A2A task representation
